Bug 838829 - [RFE] [rhevm] httpd should be set as dependent service for ovirt-engine service (unable to start application without it)
[RFE] [rhevm] httpd should be set as dependent service for ovirt-engine servi...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: 3.6.0
Assigned To: Yedidyah Bar David
Pavel Stehlik
integration
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 05:12 EDT by Haim
Modified: 2015-01-26 09:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 09:37:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-07-10 05:12:59 EDT
Description of problem:

my case:

- take down ovirt-engine /etc/init.d/ovirt-engine stop 
- take down httpd /etc/init.d/httpd stop 
- start ovirt-engine again


[root@hateya-rhevm ~]# /etc/init.d/httpd status
httpd is stopped
[root@hateya-rhevm ~]# /etc/init.d/ovirt-engine status
Engine process 9453 is running.

service is going up alerting nothing about httpd or other dependent service. 

trying to browse to my portal I see that portal is not published.

expected:

please set required dependent services that ovirt needs when its starting.
Comment 2 Ofer Schreiber 2012-07-26 07:41:00 EDT
I'm not sure that's the right thing to do, in some cases, the user might chose not to use HTTPD proxy, and use port 8080 & 8443.
In this case, we shouldn't depend on httpd, and I'm not sure we can change this property on run time.

We can add a check inside the service (not a "true" dependency), but that's highly unconventional.
Juan- thoughts?
Comment 3 Juan Hernández 2012-07-26 08:09:28 EDT
With the SysV scripts used in RHEL there is no way to specify dependencies between servers, other than the start/stop order, and order is not relevant in this case.

I think it is the responsibility of the administrator to make sure that the required services are up. She/he needs to know that ovirt-engine needs httpd running, and has to take care of it, like he/she does with the database, with the network, with the filesystems, etc. If this is not clear then we may need to make it crystal clear in the documentation.

I have seen other projects doing this kind of checks in their own scripts, for example, RHN Satellite has an additional "rhn-satellite" script that starts/stops/checks all the required services. I think this is not worth in our case.
Comment 4 Andrew Cathrow 2012-07-29 17:09:31 EDT
(In reply to comment #3)
> With the SysV scripts used in RHEL there is no way to specify dependencies
> between servers, other than the start/stop order, and order is not relevant
> in this case.
> 
> I think it is the responsibility of the administrator to make sure that the
> required services are up. She/he needs to know that ovirt-engine needs httpd
> running, and has to take care of it, like he/she does with the database,
> with the network, with the filesystems, etc. If this is not clear then we
> may need to make it crystal clear in the documentation.
> 
> I have seen other projects doing this kind of checks in their own scripts,
> for example, RHN Satellite has an additional "rhn-satellite" script that
> starts/stops/checks all the required services. I think this is not worth in
> our case.

We can setup our chkconfig vaules to make sure that we are ordered correctly and chkconfig the http service if we use it.
Other than that it's notes in the install guide
Comment 14 Doron Fediuck 2014-09-22 03:51:35 EDT
Since the main request here is not to start rhev service before httpd starts,
this can be implemented using required-start[1].

Targeting to the next version.

[1] http://fedoraproject.org/wiki/Packaging:SysVInitScript#.23_Required-Start:_line
Comment 15 Doron Fediuck 2015-01-26 09:37:56 EST
Closing old issues.
Please re-open if still relevant.

Note You need to log in before you can comment on or make changes to this bug.